clang 8.0.0

Public Member Functions | List of all members
clang::WeakInfo Class Reference

Captures information about a #pragma weak directive. More...

`#include "clang/Sema/Weak.h"`

## Public Member Functions
| WeakInfo ()
| WeakInfo (IdentifierInfo *Alias, SourceLocation Loc)
IdentifierInfo * | getAlias () const
SourceLocation | getLocation () const
void | setUsed (bool Used=true)
bool | getUsed ()
bool | operator== (WeakInfo RHS) const
bool | operator!= (WeakInfo RHS) const

## Detailed Description

Captures information about a #pragma weak directive.

Definition at line 25 of file Weak.h.

## Constructor & Destructor Documentation

## ◆ WeakInfo() [1/2]

clang::WeakInfo::WeakInfo | ( |  | ) |
| inline

Definition at line 30 of file Weak.h.

## ◆ WeakInfo() [2/2]

clang::WeakInfo::WeakInfo | ( | IdentifierInfo * | Alias,
|  | SourceLocation | Loc
| ) |  |
| inline

Definition at line 32 of file Weak.h.

## Member Function Documentation

## ◆ getAlias()

IdentifierInfo* clang::WeakInfo::getAlias | ( |  | ) | const
| inline

Definition at line 34 of file Weak.h.

Referenced by AddLazyVectorDecls(), and operator==().

## ◆ getLocation()

SourceLocation clang::WeakInfo::getLocation | ( |  | ) | const
| inline

Definition at line 35 of file Weak.h.

Referenced by AddLazyVectorDecls(), and operator==().

## ◆ getUsed()

bool clang::WeakInfo::getUsed | ( |  | ) |
| inline

Definition at line 37 of file Weak.h.

Referenced by AddLazyVectorDecls().

## ◆ operator!=()

bool clang::WeakInfo::operator!= | ( | WeakInfo | RHS | ) | const
| inline

Definition at line 41 of file Weak.h.

## ◆ operator==()

bool clang::WeakInfo::operator== | ( | WeakInfo | RHS | ) | const
| inline

Definition at line 38 of file Weak.h.

References getAlias(), and getLocation().

## ◆ setUsed()

void clang::WeakInfo::setUsed | ( | bool | Used = `true` | ) |
| inline

Definition at line 36 of file Weak.h.

References Used.

Referenced by clang::ASTReader::ReadWeakUndeclaredIdentifiers().

The documentation for this class was generated from the following file:

- include/clang/Sema/Weak.h